InvitesManager (invites-common-library 1.5.0-SNAPSHOT API)
Date: 2019-07-29

org.gcube.portal.invites

## Class InvitesManager

- java.lang.Object
- - org.gcube.portal.invites.InvitesManager

-     public class InvitesManager
      extends Object

  Author:
    Massimiliano Assante

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INVITE_PAGE_ENDPOINT`
    `static String` | `INVITEID_ATTR`
    `static String` | `SITEID_ATTR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InvitesManager` | `getInstance()`
    `static org.gcube.portal.databook.server.DatabookStore` | `initStore()`
    `static void` | `notifyInviteSent(javax.servlet.http.HttpServletRequest request, org.gcube.vomanagement.usermanagement.model.GCubeUser currUser, String scope, org.gcube.portal.databook.shared.Invite invite, String vreName)`
    `org.gcube.portal.databook.shared.InviteOperationResult` | `sendInvite(javax.servlet.http.HttpServletRequest request, String portalSenderEmail, String portalURL, String name, String lastName, String email, String vreDescription)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SITEID_ATTR

          public static final String SITEID_ATTR

      See Also:
        Constant Field Values

    - #### INVITEID_ATTR

          public static final String INVITEID_ATTR

      See Also:
        Constant Field Values

    - #### INVITE_PAGE_ENDPOINT

          public static final String INVITE_PAGE_ENDPOINT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static InvitesManager getInstance()

    - #### initStore

          public static org.gcube.portal.databook.server.DatabookStore initStore()

      Returns:
        the unique instance of the store

    - #### sendInvite

          public org.gcube.portal.databook.shared.InviteOperationResult sendInvite(javax.servlet.http.HttpServletRequest request,
                                                                                   String portalSenderEmail,
                                                                                   String portalURL,
                                                                                   String name,
                                                                                   String lastName,
                                                                                   String email,
                                                                                   String vreDescription)

    - #### notifyInviteSent

          public static void notifyInviteSent(javax.servlet.http.HttpServletRequest request,
                                              org.gcube.vomanagement.usermanagement.model.GCubeUser currUser,
                                              String scope,
                                              org.gcube.portal.databook.shared.Invite invite,
                                              String vreName)

      Parameters:
        `request` -
        `username` -
        `scope` -
        `invite` -
        `vreName` -

Copyright © 2019. All Rights Reserved.